/*** General CSS ***/
body {
    line-height: 1.9em;
}

/*** Header Area ***/
/* Header Top */
#sp-top-bar {
    position: relative;
    z-index: 9999;
}

/* Header Menu */
#sp-header {
    box-shadow: 0 0 4px 0 rgb(0 0 0 / 10%);
}
#sp-header.header-sticky {
    position: fixed;
    z-index: 9999;
}
.sp-megamenu-parent > li > a, .sp-megamenu-parent > li > span {
    font-weight: 500;
    text-transform: uppercase;
}
.sp-megamenu-parent .sp-dropdown li.sp-menu-item>a {
    font-size: 14px !important;
}

/* Canvas Menu */
.offcanvas-menu .offcanvas-inner .menu-child > li a {
    padding: 12px 10px !important;
    border-bottom: 1px solid rgba(197, 153, 153, 0.21);
    display: inherit;
}
.offcanvas-menu .offcanvas-inner ul.menu>li>a, .offcanvas-menu .offcanvas-inner ul.menu>li>span {
    font-size: 15px;
    font-weight: 500;
}

/*** Block Styles ***/
/* Button */
.btn,
.slider-btn a,
#sp_qc_submit {
    position: relative;
    display: inline-block;
    width: auto;
    margin: 0;
    font-weight: 500;
    font-family: inherit;
    line-height: 2em;
    letter-spacing: .02em;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px 34px;
    cursor: pointer;
    border: 0!important;
    text-transform: uppercase;
    color: #fff!important;
    background-color: #3d59e8;
}
.btn:hover,
.slider-btn a:hover,
#sp_qc_submit:hover {
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05), 0px 2px 2px rgba(0, 0, 0, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05), 0px 8px 8px rgba(0, 0, 0, 0.05), 0px 16px 16px rgba(0, 0, 0, 0.05);
    -webkit-transform: translateY(-1px);
    transform: translateY(-1px);
}
.slider-btn a span:before {
    margin-left: 10px;
}
.btn.no-bg {
    background: none!important;
    box-shadow: none!important;
    border: 2px solid #C8C5BB!important;
    color: #212529!important;
    font-size: 14px;
}
.btn.no-bg:hover {
    border-color: #99978E!important;
}
.control-group .btn-primary {
  	color: #fff !important;
  	background: #222;
}
.login .btn-primary {
    background: #222;
    color: #fff !important;
}
.btn-secondary {
    margin-right: 10px;
    background: #222;
}
.btn-secondary:hover {
    color: #fff !important;
}

/* Slider */
.slider-img img {
  	float: right !important;
}

/* Title */
.title h1 {
    color: #262626;
    font-size: 42px;
    line-height: 1.2em;
    letter-spacing: 7px;
    font-weight: 700;
}
.title p {
    max-width: 500px;
    margin: 0 auto;
}

/* Step */
.step .sppb-row > div:nth-child(n+2) {
    border-left: 1px solid #E6E6E6;
}
.step-item h4 {
    color: #262626;
    font-size: 30px;
    font-weight: 400;
}
.step-item h6 {
    font-weight: 700;
    font-size: 15px;
    text-transform: uppercase;
    margin-bottom: 15px;
}

/* Subscribe */
.subscribe .btn-primary {
    color: #fff !important;
    padding: 10px 25px !important;
  	font-size: 13px;
}
.subscribe .btn-primary:hover {
  	background: #000 !important;
}
.subscribe .acym_form .onefield {
    margin-bottom: 39px;
}

/* Contact Info */
.contact-info h2, .contact-info h3 {
	font-size: 23px;
}

/* Blog */
.jmm-item .jmm-image.mod-article-image {
  	overflow: hidden;
}
.jmm-image.mod-article-image img {
  	transform: scale(1);
  	-webkit-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
}
.jmm-item:hover .jmm-image.mod-article-image img {
  	transform: scale(1.12);
  	filter: grayscale(100%);
}

/* Bottom */
#sp-bottom {
    text-align: center;
}
#sp-bottom .sp-module .sp-module-title {
    font-size: 48px;
    margin: 0 0 10px;
}

/* Footer Copyright */
#sp-footer {
    text-align: center;
}

/*** Responsive Layout ***/
/* Mobile Standard Layout */
@media (max-width: 768px) {
	#sp-header, #sp-header .logo {
        height: 70px;
    }
  	#sp-footer p {
  		text-align: center;
	}
  	body #sp-header {
    	background: #fff;
      	padding: 0;
	}
}


/* General color defination
Color value depend on preset color that picking on template settings > Presets
*/

:root {
  --background-color: currentColor;
  --background: currentColor;
  --text-color: currentColor;
} 
a.hikabtn.hikacart, .btn:hover, .page-item.active .page-link, .slider-btn a,
.slider-item .sppb-btn-success, .sp-simpleportfolio .sp-simpleportfolio-filter>ul>li.active>a,
.sp-simpleportfolio .sp-simpleportfolio-item .sp-simpleportfolio-info:hover,
.sp-simpleportfolio .sp-simpleportfolio-item .sp-simpleportfolio-overlay-wrapper .sp-simpleportfolio-overlay,
.jmm-image.mod-article-image:before, .jmm-image.mod-article-image:after, .title h3:after,
#sp-bottom3 input.btn.btn-primary.button.subbutton, .subscribe .btn-primary {
 	background-color: var(--background-color) !important;
}
.btn,
.article-list .article .readmore a:hover, .article-list .article .readmore a:active, .article-list .article .article-header h2 a:hover,
#sp-bottom a, .offcanvas-menu .offcanvas-inner ul.menu >li.active a, .slider-small h3, .slider-big h1, .slider-phone h2,
.title h6, .title h2, .explore-content h4, .testimonila-carousel, .product-item h5 {
  	color: var(--text-color) !important; 
}
a.hikabtn.hikacart, .page-item.active .page-link,
.tabs .sppb-tab-content, .tabs .sppb-nav-tabs>li.active>a, .sp-simpleportfolio .sp-simpleportfolio-filter>ul>li.active>a, .btn-primary:hover,
.btn:before {
  	border-color:var(--text-color)!important;
}